Apache 2.4を使う~DiskStation DS218j

DSMアプリケーション, Synology DiskStation DS218j, Webサイト構築Apache 2.4, PHP 5.6, PHP 7.3, phpMyAdmin, Synology, Web Station, アップデート

で"PHP 7.3″パッケージをインストールし、"WordPress"と"phpMyAdmin"で"PHP 7.3″を利用できるようにしたはずなのですが、うまくいきません。

心当たりのある部分の設定を変えてみたり、Synology DiskStation DS218jを再起動してみたり、色々やったのですが…。

そこでふと思ったのが、現在のApacheのバージョン2.2を2.4にアップデートすれば良いのではないかということ。

DSMにログインして、

パッケージセンターを開く|Apache 2.4を使う~DiskStation DS218j

パッケージセンターを開きます。

Apache 2.4のインストール|Apache 2.4を使う~DiskStation DS218j

“Apache 2.4″の[インストール]をクリックしてインストールします。

インストールが終わったら"Web Station"を開いて、「仮想ホスト」から"wwq.mydns.jp"の設定を開いて、

wwq.mydns.jpのプロファイルを変更|Apache 2.4を使う~DiskStation DS218j

と「HTTP バックエンド サーバ」を"Apache 2.4に変更して[OK]をクリックしてプロファイルを変更。"phpMyAdmin"の設定も同様に開いて、

phpMyAdminのプロファイルを変更|Apache 2.4を使う~DiskStation DS218j

「HTTP バックエンド サーバ」を"Apache 2.4に変更して[OK]をクリックしてプロファイルを変更します。

ここでWordPressの管理画面にログインしてみると、

WordPress管理画面を確認|Apache 2.4を使う~DiskStation DS218j

おー。PHPのアラートが消えましたねー。アップデート成功でしょうか。

良く考えたら、実際にPHPが5.6から7.3に変わったかどうかはまだ確認できていません。というわけで引き続き、

で確認してみることにしましょう。

【楽天】Synology DiskStation DS218j